 `timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    21:08:17 02/23/2010 
// Design Name: 
// Module Name:    BCD 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments:binar_to_BCD_converter 
//
//////////////////////////////////////////////////////////////////////////////////
module BCD(
	input	 	[7:0] in,
	output 	[3:0] ONES, 
	output	[3:0] TENS
);

wire	[3:0] c1,c2,c3,c4,c5,c6,c7;
wire	[3:0] d1,d2,d3,d4,d5,d6,d7;

assign	d1 = {1'b0,in[7:5]};
assign	d2 = {c1[2:0],in[4]};
assign	d3 = {c2[2:0],in[3]};
assign	d4 = {c3[2:0],in[2]};
assign	d5 = {c4[2:0],in[1]};
assign	d6 = {1'b0,c1[3],c2[3],c3[3]};
assign	d7 = {c6[2:0],c4[3]};
Add3 m1(d1,c1);
Add3 m2(d2,c2);
Add3 m3(d3,c3);
Add3 m4(d4,c4);
Add3 m5(d5,c5);
Add3 m6(d6,c6);
Add3 m7(d7,c7);

assign	ONES = {c5[2:0],in[0]};
assign	TENS = {c7[2:0],c5[3]};

endmodule
