`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    21:07:23 02/23/2010 
// Design Name: 
// Module Name:    Display 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module Kiiratas(
	input			CLK,
	input			RST,
	input			[7:0] in,
	input			[3:0] BTN,
	input			minus,	//minus
	input			error1,
	input			[3:0] op0,
	input			[3:0] op1,
	output		[6:0] SEG,
	output		[3:0] shift, 
	output		pont,
	output		[4:0] COL
);

wire	[3:0] bus;

wire	[3:0] bus0;
wire	[3:0] bus1;
reg	[3:0] bus2;
reg	[3:0] bus3; 					//minus

reg   [3:0] op0_;
reg   [3:0] op1_;
wire	en;

assign
	en = |BTN || shift ==4'b0111 || shift ==4'b1011;

BCD BCD0(
	.in(in),
	.ONES(bus0),
	.TENS(bus1)						//minus
);




always @(*)
begin
	if(op0 > 9)
		op0_ <= 4'b1110;
	else
		op0_ <= op0;	
end

always @(*)
begin
	if(op1 > 9)
		op1_ <= 4'b1110;
	else
		op1_ <= op1;	
end

always @(*)
begin
	if(
		(error1 && BTN == 4'b1000) 		|| 
		op0 > 9 									|| 
		op1 > 9
		) 
		bus2 <= 4'b1110;
	else
		bus2 <= bus0;	
end

always @(*)
begin
	if(
		(error1 && BTN == 4'b1000) 		|| 
		op0 > 9 									|| 
		op1 > 9
		) 
		bus3 <= 4'b1110;
	else	if(minus  &&  BTN== 4'b0010)
			bus3 <= 4'b1111;
	else
		bus3 <= bus1;	
end


IdoMulti IdoMulti(
	.CLK(CLK),
	.RST(RST),
//	.num0(bus2),
//	.num1(bus3),
//	.num2(op1_),
//	.num3(op0_),
//	.szam(bus),
	.shift(shift)
);

Szegmens_konv Szegmens_konv(
	.en(en),
	.hexaszam(bus),
	.szam(SEG),
	.pont(pont),
	.COL(COL)
);

MUX_4bit MUX_4bit(
	.sel(shift),
	.op0(bus2),
 	.op1(bus3),
	.reshigh(op1_),
	.reslow(op0_),
	.f(bus)
);


endmodule
