`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   15:24:28 02/24/2010
// Design Name:   Calculator
// Module Name:   C:/Documents and Settings/nova/Asztal/FPGA/CALC_4/test.v
// Project Name:  CALC_4
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: Calculator
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module test;

	// Inputs
	reg clk;
	reg reset;
	reg [3:0] a;
	reg [3:0] b;
	reg [3:0] sel;

	// Outputs
	wire [3:0] cs;
	wire [6:0] out;

	// Instantiate the Unit Under Test (UUT)
	Calculator uut (
		.clk(clk), 
		.reset(reset), 
		.a(a), 
		.b(b), 
		.sel(sel), 
		.cs(cs), 
		.out(out)
	);

	initial begin
		// Initialize Inputs
		clk = 0;
		reset = 0;
		a = 0;
		b = 0;
		sel = 0;

		// Wait 100 ns for global reset to finish
		#5;
      reset= 1;
		#5 
		reset = 0;
		
	
		#5 
		a=4'b1000;
		b=4'b0000;
		#10 
		sel=4'b1000;
		#10 
		sel=4'b0100;
		#10 
		sel=4'b0010;
		#10 
		sel=4'b0001;
		
		#10;
      a=4'b0000;
		b=4'b0000;
		sel = 0;
		
		// Add stimulus here

	end
   
	always 
	#5 clk=!clk;

endmodule

