`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    21:10:21 02/23/2010 
// Design Name: 
// Module Name:    4bitMUX 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module MUX_4bit(
	input			[3:0] sel,
	input			[3:0] op0,
	input			[3:0] op1,
	input			[3:0] reshigh,
	input			[3:0] reslow,
	output reg	[3:0] f
);

always @(*) 
	case(sel)
		4'b1110: f <= op0;
		4'b1101: f <= op1;
		4'b1011: f <= reshigh;
		4'b0111: f <= reslow;
		default: f <= 4'b0;
	endcase
endmodule
