`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    21:04:19 02/23/2010 
// Design Name: 
// Module Name:    Divider 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module Osztas(
	input			CLK,
	input			RST,
	input			[3:0] op0,
	input			[3:0] op1,
	output reg	error,
	output reg	[7:0] div
);

reg	[7:0] cnt = 8'b0; // ez lehetne rgtn div
reg	[3:0] tmp = 4'b0; // tmeneti vltoz

always @(posedge CLK)
if(RST)
begin	
	cnt <= 8'b0;		//az oszts eredmnye nulla resetre
end
else
begin
	tmp <= op0;			//kezdrtkek
	cnt <= 8'b0;
	if(op1 == 4'b0)
		error <= 1'b1;
	else
	begin
		:divcount
		while(tmp >= op1)		//igazsgtblsra prbld meg trni
		begin
			tmp <= tmp - op1;
			cnt <= cnt + 1'b1;
			disable divcount;
		end
		error <=1'b0;
		div <= cnt;
	end
end
endmodule
