`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    23:22:28 02/23/2010 
// Design Name: 
// Module Name:    7segment 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module Szegmens_konv(
	input			en,
	input			[3:0] hexaszam,
	output reg 	[0:6] szam,
	output		pont,
	output		[4:0] COL
);

assign pont = 1'b1;								//A szegmensek melletti pont letiltsa

assign COL = 5'b11111;							//Oszlopmtrix letiltsa

always @(*) 
begin
	if(!en)
		szam = 7'b1111111;						//HA nincs engedlyezve, egyik szegmens se vilgtson
	else
	begin
		case (hexaszam)							//A htszegmenses kijelz igazsgtblja
			 4'b0001 : szam = 7'b1111001;   // 1
          4'b0010 : szam = 7'b0100100;   // 2
          4'b0011 : szam = 7'b0110000;   // 3
          4'b0100 : szam = 7'b0011001;   // 4
          4'b0101 : szam = 7'b0010010;   // 5
          4'b0110 : szam = 7'b0000010;   // 6
          4'b0111 : szam = 7'b1011000;   // 7
          4'b1000 : szam = 7'b0000000;   // 8
          4'b1001 : szam = 7'b0010000;   // 9
          4'b1010 : szam = 7'b0001000;   // A
          4'b1011 : szam = 7'b0000011;   // b
          4'b1100 : szam = 7'b1000110;   // C
          4'b1101 : szam = 7'b0100001;   // D
          4'b1110 : szam = 7'b0000110;   // E
//        4'b1111 : szam = 7'b0001110;   // F
			 4'b1111 : szam = 7'b0111111;   // -
			 default : szam = 7'b1000000;   // 0
      endcase
	end
end	
endmodule
