`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    20:58:43 02/23/2010 
// Design Name: 
// Module Name:    Calculator 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module Calculator(
	input		CLK,	
	input		RST,
	input		[3:0] op0,
	input		[3:0] op1,
	input		[3:0] BTN,
	output	[3:0] shift,
	output	[6:0] SEG,
	output	pont,
	output	[4:0] COL
);

wire error1;
wire [7:0]bus0;
wire [7:0]bus1;
wire [7:0]bus2;
wire [7:0]bus3;
wire [7:0]bus4;
wire bus9;

Osszeadas Osszeadas(
	.op0(op0),			
	.op1(op1),
	.sum(bus0)
);

Kivonas Kivonas(
	.op0(op0),
	.op1(op1),
	.sub(bus1),
	.minus(bus9)
);

Szorzas Szorzas(
	.op0(op0),
	.op1(op1),
	.mul(bus2)
);

Osztas Osztas(
	.CLK(CLK),
	.RST(RST),
	.op0(op0),
	.op1(op1),
	.error(error1),
	.div(bus3)
);

MUX_8bit MUX_8bit0(
	.BTN(BTN),
	.y0(bus0),
	.y1(bus1),
	.y2(bus2),
	.y3(bus3),
	.f(bus4)
);

Kiiratas Kiratas(
	.CLK(CLK),
	.RST(RST),
	.in(bus4),
	.BTN(BTN),
	.minus(bus9),
	.error1(error1),
	.op0(op0),
	.op1(op1),
	.SEG(SEG),
	.shift(shift),
	.pont(pont),
	.COL(COL)
);

endmodule
